\section{/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/version-cmp.c File Reference}
\label{version-cmp_8c}\index{/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/version-cmp.c@{/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/version-cmp.c}}
Version comparison functions. 

{\tt \#include \char`\"{}config.h\char`\"{}}\par
{\tt \#include $<$assert.h$>$}\par
{\tt \#include $<$ctype.h$>$}\par
{\tt \#include $<$stdio.h$>$}\par
{\tt \#include $<$stdlib.h$>$}\par
{\tt \#include $<$string.h$>$}\par
{\tt \#include $<$discover/discover.h$>$}\par
{\tt \#include $<$discover/utils.h$>$}\par
\subsection*{Defines}
\begin{CompactItemize}
\item 
\#define {\bf MAXBUFLEN}~256
\end{CompactItemize}
\subsection*{Typedefs}
\begin{CompactItemize}
\item 
typedef enum {\bf range\_\-states} {\bf range\_\-state}
\end{CompactItemize}
\subsection*{Enumerations}
\begin{CompactItemize}
\item 
enum {\bf range\_\-states} \{ \par
{\bf START}, 
{\bf OPEN}, 
{\bf VERSION1}, 
{\bf VERSEP1}, 
\par
{\bf PAUSE1}, 
{\bf SEPARATOR}, 
{\bf I}, 
{\bf N}, 
\par
{\bf F}, 
{\bf VERSION2}, 
{\bf VERSEP2}, 
{\bf PAUSE2}, 
\par
{\bf CLOSE}, 
{\bf ERROR}
 \}
\end{CompactItemize}
\subsection*{Functions}
\begin{CompactItemize}
\item 
int {\bf discover\_\-xml\_\-version\_\-cmp} (char $\ast$range, char $\ast$version, {\bf discover\_\-error\_\-t} $\ast$status)
\end{CompactItemize}


\subsection{Detailed Description}
Version comparison functions. 

This file holds the routines needed to process version data in the XML file. This version data is used to look for information pertaining to a particular version of the OS/software requiring that information. 

Definition in file {\bf version-cmp.c}.

\subsection{Define Documentation}
\index{version-cmp.c@{version-cmp.c}!MAXBUFLEN@{MAXBUFLEN}}
\index{MAXBUFLEN@{MAXBUFLEN}!version-cmp.c@{version-cmp.c}}
\subsubsection{\setlength{\rightskip}{0pt plus 5cm}\#define MAXBUFLEN~256}\label{version-cmp_8c_a0}


This probably shouldn't be here; it's bad practice (3.0, right). 

Definition at line 55 of file version-cmp.c.

\subsection{Typedef Documentation}
\index{version-cmp.c@{version-cmp.c}!range_state@{range\_\-state}}
\index{range_state@{range\_\-state}!version-cmp.c@{version-cmp.c}}
\subsubsection{\setlength{\rightskip}{0pt plus 5cm}typedef enum {\bf range\_\-states}
 {\bf range\_\-state}}\label{version-cmp_8c_a1}


This is used as a placeholder while comparing versions of modules. 

\subsection{Enumeration Type Documentation}
\index{version-cmp.c@{version-cmp.c}!range_states@{range\_\-states}}
\index{range_states@{range\_\-states}!version-cmp.c@{version-cmp.c}}
\subsubsection{\setlength{\rightskip}{0pt plus 5cm}enum {\bf range\_\-states}}\label{version-cmp_8c_a21}


Version placeholders 

Definition at line 58 of file version-cmp.c.